API documentation | API docs for agents | OpenAPI 3.1
GET /api/v1/carriers/{carrierId}/fmcsa/history
ark.get_carrier_history
Returns FMCSA carrier profile change history for a visible ARK carrier.
- Availability
- Core preview
- Scopes
carriers:read- ARK permissions
canViewCarriers- Team visibility
- Not entity-scoped
- Idempotency-Key
- Not required
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
carrierIdpathstringrequired- format: uuid
categoryquerystring- one of: all, status, identity, contact, safety, fleet, insurance, authority; default: "all"
field_prefixquerystring- min length: 1; max length: 100
cursorquerystringlimitqueryinteger- default: 25; min: 1; max: 100
Request body
None.
Example request
Shell
curl 'https://arktms.com/api/v1/carriers/<carrierId>/fmcsa/history' \
-H "Authorization: Bearer $ARK_API_TOKEN"Success response
Carrier FMCSA history
objectstringrequiredone of: api_response
okbooleanrequiredone of: true
api_versionstringrequiredone of: 2026-05-31
request_idstringrequireddataobjectrequireddata.carrierIdstringrequiredformat: uuid
data.carrierNamestring | nullrequireddata.dotNumberintegerrequireddata.sourcestringrequiredone of: fmcsa
data.<key>anyErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry
HTTP 502- External provider or worker queue could not be reached